حسینی پارسا

چگونه جوملا 2.5 را به جوملا 3.3 بروز کنیم + طرح مشکلات مربوطه

Recommended Posts

درود

 

بروز رسانی جوملا 2.5 به جوملا 3.3 در نگاه اول و در شرایط استاندارد امری ساده همچون نصب یک افزونه روی جوملاست! اما این مهم در شرایط غیر استاندارد؛ یعنی مواقعی که جوملای شما برای انتقال آماده نیست کمی متفاوت است!

همانگونه که پیش بینی می شد، در انتقال جوملا 2.5 به 3.3 اشکالات جدی پیش آمده است.

ما این مسئله را پیش بینی کرده و توضیحاتی ارائه داده بودیم. جومینا نیز می توانست ابزاری برای انتقال جوملا 2.5 به 3.3 ارائه نکند! اما سعی کردیم بستر را برای ارتقاء به نسل جدید تسهیل کنیم.

با این وجود در این تاپیک به مشکلات موجود پرداخته و توضیحات و راهنمایی های لازم ارائه می شود. با امید بهروزی شما دوستان.

 

لطفا جهت اطمینان از اینکه این مشکل شایع هست، بسته ی بروز رسانی ارائه شده توسط جوملا جهانی را نیز تست کنید.

لینک بسته ی جوملا جهانی:

http://joomlacode.org/gf/download/frsrelease/19823/161247/Joomla_3.3.6-Stable-Update_Package.zip

در مواردی که جوملا 2.5 مبدا دارای افزونه های نا هماهنگ با جوملا 3.3 باشد این مشکلات خواهد بود.  بنا بر این لازم است ابتدا جوملای مبدا را پاکسازی کنید.
انتقال از جوملا 2.5 به 3.3 اگر چه تغییرات چندانی در دیتابیس ایجاد نمی کند اما به نوعی مهاجرت محسوب می شود و همواره مهاجرت ها در نسل های مختلف جوملا دارای مشکلات این چنینی بوده است.

بنا براین دقت کنید:
1- حتما قبل از اقدام به بروز رسانی از جوملا 2.5 پشتیبان تهیه کنید.
2- هرگز فرآیند بروز رسانی را روی سایتی که در اختیار بازدید کنندگاه است انجام ندهید. نسخه ی پشتیبان آن را در فولدر جدید دوباره نصب و بروز رسانی را روی آن انجام دهید.
3- جوملای خود را برای نسخه ی جدید هماهنگ کنید. ( فایل های افزونه های نا هماهنگ با جوملا 3  (شامل پلاگین، کامپوننت، ماژول و قالب) را بصورت دستی حذف کنید. دیتابیس افزونه های مهم را حفظ کنید تا در جوملا 3.3 بتوانید افزونه را مجدد نصب و از اطلاعات قبلی استفاده کنید)
4- در صورتیکه از جوملا 3 تیم جوملا فارسی استفاده می کنید و قصد دارید به جومینا مهاجرت کنید ابتدا از منوی اقزونه ها > مدیریت افزونه > پایگاه داده > دکمه ی تعمیر را بفشارید و سپس به نصب بسته ی بروز رسانی اقدام کنید.

5- حجم بسته ی بروز رسانی زیاد است، بنا بر این بسته ی بروز رسانی را با روش نصب از آدرس وب و با استفاده از لینک زیر انجام دهید.

http://joomlacode.org/gf/download/frsrelease/19983/162004/Joomla_all_to_3_3_6_farsi_joomina.zip

توجه کنید، شما در حال مهاجرت هستید! مهاجرت خطرات و دشواری های خاص به خود را دارد. توقع نداشته باشید همه چیز به سادگی و عالی پیش برود.

ملاک عملکرد صحیح بسته ی بروز سانی از تمامی نسخه ها، صحت عمل آن روی جوملای خام (به همراه سمپل و افزونه های پیشفرض) است. در این حالت بسته ی مذکور تست شده و روی جوملا 2.5 فارسی جومینا، جوملا 2.5 انگلیسی جوملا جهانی و جوملا 2.5 سایر تیم ها بدرستی کار کرده است.

بنا بر این اشکال تنها از افزونه هایی است که جداگانه روی جوملا 2.5 شما نصب شده است.

 

مشکلات خود را جهت همفکری در این تاپیک مطرح کنید.

 

همچنین در صورت عدم موفقیت در بروز رسانی سامانه پشتیبانی از مشتریان جومینــــــا می تواند کار گشا باشد.

 

با احترام

تیم توسعه جوملا 3.3 فارسی جومینا

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام بعد از آپدیت جوملا این ارور اومده

500 - JHtmlBehavior: :mootools پشتیبانی نمیشود
مشکل چیه

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

درود دوستان

در این توضیحات:


 حتما قبل از اقدام به بروز رسانی از جوملا 2.5 پشتیبان تهیه کنید و هرگز فرآیند بروز رسانی را روی سایتی که در اختیار بازدید کنندگان است انجام ندهید. نسخه ی پشتیبان آن را در فولدر جدید دوباره نصب و بروز رسانی را روی آن انجام دهید.

بفرمایید که چگونه می توان نسخه پشتیبان را در یک فولدر جدید نصب کرد؟

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

 

با سلام بعد از آپدیت جوملا این ارور اومده

500 - JHtmlBehavior: :mootools پشتیبانی نمیشود
مشکل چیه

 

 

3- جوملای خود را برای نسخه ی جدید هماهنگ کنید. ( فایل های افزونه های نا هماهنگ با جوملا 3  (شامل پلاگین، کامپوننت، ماژول و قالب) را بصورت دستی حذف کنید. دیتابیس افزونه های مهم را حفظ کنید تا در جوملا 3.3 بتوانید افزونه را مجدد نصب و از اطلاعات قبلی استفاده کنید)

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر
ارسال شده در (ویرایش شده)

سلام...من جوملای ۳.۳ رو که روی یک بسته آسان نصب قالب بود با قالب نصب کردم....اما نیاز من به جوملای ۲.۵ هست..چطور میتونم جوملای ۳.۳ رو به ۲.۵ تبدیل کنم یا تغییر بدم؟؟؟؟

البته لازمه که بگم قالب مورد نظر را به شدت میخوام

ویرایش شده در توسط bilan

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

درود بر شما

 

با کمک akeeba backup بک آپ بگیرید و مجدد در فولدر دیگر نصب کنید

درود

در این مورد آموزشی هم هست؟

سپاس

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

سلام...من جوملای ۳.۳ رو که روی یک بسته آسان نصب قالب بود با قالب نصب کردم....اما نیاز من به جوملای ۲.۵ هست..چطور میتونم جوملای ۳.۳ رو به ۲.۵ تبدیل کنم یا تغییر بدم؟؟؟؟

البته لازمه که بگم قالب مورد نظر را به شدت میخوام

 

درود

مهاجرت معکوس!   با توجه به مسائل امنیتی این کار توصیه نمی شود.  اما راه حل استانداردی ندارد و آزمون و خطاست.  در هر حال مشکل خود را در تاپیک مجزا مطرح کنید.

 

با احترام

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

درود

در این مورد آموزشی هم هست؟

سپاس

 

درود

 

بله هست. جستجو..

 

در ضمن این مسئله را تاپیک مرتبط پیگیری کنید.

 

یاعلی

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

 

من براي به روز رساني كه اقدام ميكنم

 

و از تنظيمات پشتيباني را روي كوتاه مدت قرار ميدم اصلا فايلهاي به روز رساني براي من نمايش داده نميشه

 

و هيچ چيزي براي اينكه بتونم به روز رساني را انجام بدم نمياره و همون نسخه قبلي را ميگه جوملاي شما به روز هست

 

چيكار بايد انجام داد

 

با تشكر

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

 

من براي به روز رساني كه اقدام ميكنم

 

و از تنظيمات پشتيباني را روي كوتاه مدت قرار ميدم اصلا فايلهاي به روز رساني براي من نمايش داده نميشه

 

و هيچ چيزي براي اينكه بتونم به روز رساني را انجام بدم نمياره و همون نسخه قبلي را ميگه جوملاي شما به روز هست

 

چيكار بايد انجام داد

 

با تشكر

 

درود

بروز رسانی از جوملا 2.5 به 3.3 تنها به روش دستی پشتیبانی می شود.

لطفا به صورت دستی و با توجه به تذکرات مطرح شده بروز رسانی کنید.

 

با احترام

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

 

ميشه بگيد به صورت دستي

 

منظور شما چطوري هست ؟

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

 

ميشه بگيد به صورت دستي

 

منظور شما چطوري هست ؟

 

درود

با توجه به توضیحات ارائه شده در این تاپیک، بسته ی بروز رسانی رو همچون یک افزونه و به روش نصب از آدرس وب، بروز کنید.

اگر آشنایی ندارید جستجو کنید و یا کتاب جوملا را مطالعه کنید.

 

با احترام

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

 

من به روز رساني را انجام دادم و مديريت جوملاي سه بالا مياد

 

ولي مشكلي كه هست تنها قسمت تنظيمات كلي را باز ميكنه و هيچ كدوم از قسمتها مانند ماژولها پلاگينها مطالب مجموعه ها منوها هيچ كدوم را باز نميكنه و يه صفحه سفيد بالا مياد

 

لطفا راهنمايي كنيد

 

با تشكر

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

 

چنانچه مطابق دستورالعمل این تاپیک انجام داده باشید و صفحه سفید رخ داده باشه در اینصورت از ادمین سرورتون درخواست کنید که نمایش پیامهای خطا رو فعال کند و متن خطا رو جهت بررسی بیشتر قرار بدید

 

موفق و پیروز باشید

یا حق

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

 

گزارش خطا فعال شد

 

ولي باز هم همون صفحه سفيد نمايش داده ميشه

 

ديگه اصلا مديريت باز هم نميشه

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

 

اگر بک آپ از سایتتون دارید اون رو بازگردانی کنید و مجددا بروزرسانی کنید

 

در لوکال هم تست کنید ممکنه شرایط هاست تون برای مهاجرت مساعد نباشه

 

به نکات پست اول هم دقت کنید

 

چنانچه بازم موفق نشدید ، در صورت تمایل میتونید در سامانه پشتیبانی از مشتریان جومینا درخواست بدید تا براتون بروزرسانی کنیم

 

موفق و پیروز باشید

یا حق

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام و عرض خسته نباشید خدمت شما

ببخشید من الان میخوام جوملا رو از 2.5 به 3.36 ارتقا بدم باید یه بک آپ بگیرم بعد یه جایی نگه هش دارم و بعد تمامی اطلاعات جوملای قبلی رو پاک کنم و جدید رو نصب کنم و اکیبا رو نصب کنم و بک آپ رو اجرا کنم یا که نه اگه میشه یه توضیخ بدید یا اگه جایی ویدیویی چیزی هم هست بگید ممنون میشم کمک کنیدچیکاکنم؟؟

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام


من جوملای 2.5 خود را به لوکال روی ومپ سرور انتقال دادم افزونه های ناهماهنگ با جوملا 3 را حذف یا غیر فعال نمودم پس از ارتقا مدیریت جوملا 3 را دارم ولی در سایت با خطای زیر مواجه می شوم 


Notice: Use of undefined constant DS - assumed 'DS' in C:\wamp\www\site\plugins\content\sigplus\sigplus.php on line 49


در ضمن در مدیریت جوملا هم در بیشتر قسمتها(مربوط به سایت)  با این پیغام مواجه می شوم


لطفا راهنمایی بفرمایید


با تشکر


به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

پلاگین sigplus رو از پایگاه داده به صورت دستی غیرفعال کنید.

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

پلاگین sigplus رو از پایگاه داده به صورت دستی غیرفعال کنید.

سلام من الان باید دقیقا چجوری سایتم رو آپدیت کنم به 3.36 من الان با اکیبا یه پشتیبان درست کردم ولی نمیدونم چجوری سایتم رو آپدیت کنم

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

من الان یه پشتیبان از سایتم درست کردم و اون جوملایی رو که برای آپدیت نیازه رو هم داخل پشتیبانم اکسترکت کردم و الن هم توی ومپسرور مثل جوملا نصبش کردم اما نمیدونم چرا بعد این که فایل نصب رو پاک میکنم از mysql مشکل میگیره و نمیتونه برا داخل سایت

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

 

با سلام

من جوملای 2.5 خود را به لوکال روی ومپ سرور انتقال دادم افزونه های ناهماهنگ با جوملا 3 را حذف یا غیر فعال نمودم پس از ارتقا مدیریت جوملا 3 را دارم ولی در سایت با خطای زیر مواجه می شوم 

Notice: Use of undefined constant DS - assumed 'DS' in C:\wamp\www\site\plugins\content\sigplus\sigplus.php on line 49

در ضمن در مدیریت جوملا هم در بیشتر قسمتها(مربوط به سایت)  با این پیغام مواجه می شوم

لطفا راهنمایی بفرمایید

با تشکر

 

 

درود

فرآیند بروز رسانی را روی سرور انجام دهید. لوکال بستر مناسبی نیست.

 

یاعلی

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

با سلام

من الان یه پشتیبان از سایتم درست کردم و اون جوملایی رو که برای آپدیت نیازه رو هم داخل پشتیبانم اکسترکت کردم و الن هم توی ومپسرور مثل جوملا نصبش کردم اما نمیدونم چرا بعد این که فایل نصب رو پاک میکنم از mysql مشکل میگیره و نمیتونه برا داخل سایت

 

درود

نیازی به اکسترکت نیست.  پشتیبان جوملای خود را روی سرور نصب و بسته ی بروز رسانی را همچون یک افزونه روی آن نصب کنید.  لوکال بستر مناسبی برای بروز رسانی نیست.

 

یاعلی

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

درود دوستان

لطفا بفرمایید که اصولا ارتقاء از جوملا 2.5.28 به جوملا 3.3.6، ضرورت دارد یا بهتر است صبر کنیم تا جوملا 3.5 پایدار منتشر شود

با سپاس

به اشتراک گذاشتن این پست


لینک به پست
اشتراک در سایت های دیگر

ایجاد یک حساب کاربری و یا به سیستم وارد شوید برای ارسال نظر

کاربر محترم برای ارسال نظر نیاز به یک حساب کاربری دارید.

ایجاد یک حساب کاربری

ثبت نام برای یک حساب کاربری جدید در انجمن ها بسیار ساده است!

ثبت نام کاربر جدید

ورود به حساب کاربری

در حال حاضر می خواهید به حساب کاربری خود وارد شوید؟ برای ورود کلیک کنید

ورود به سیستم